jQuery(document).ready(function($) {
	
	jQuery( "#wp-admin-bar-speedup-purge-all, #wp-admin-bar-speedup-purge-all-2" ).click(function() {
    
			if (confirm("Are you sure you want to remove all cache?")) 
			{
                jQuery.post(
                    ajaxurl, 
                    {
                        'action': 'speedup01_purge_all'
                    }, 
                    function(response)
                    {
                        var json = jQuery.parseJSON( response );
                        if (json.hasOwnProperty('msg'))
                        {
                            alert(json['msg']);
                        }
                        if (json.hasOwnProperty('redirect'))
                        {
                            if (json['redirect'] != '') window.location.replace(json['redirect']);
                        }
                    }
                ).fail(function() {
                    alert('AJAX Error! Please contact support!');
                  });
			}
	});




	jQuery( "#wp-admin-bar-speedup-toggle-status" ).click(function() {

		if (is_speedup_enabled == 1)
		{
				if (confirm("Are you sure you want to disable optimization?")) 
				{
				  // OK - disable  
						jQuery.post(
							ajaxurl, 
							{
								'action': 'speedup01_enabled',
								'status': 'disable'
							}, 
							function(response){
								is_speedup_enabled = 0;
								jQuery('#wp-admin-bar-speedup-toggle-status a.ab-item').text("Enable Optimization (Current status: disabled)");
			   
								var json = jQuery.parseJSON( response );
								if (json.hasOwnProperty('msg'))
								{
									alert(json['msg']);
								}
								if (json.hasOwnProperty('redirect'))
								{
									if (json['redirect'] != '') window.location.replace(json['redirect']);
								}
							}
						).fail(function() {
							alert('AJAX Error! Please contact support!');
						  });
				} else {
				  // Cancel
				}
		}
		else {
				// Enable
						jQuery.post(
							ajaxurl, 
							{
								'action': 'speedup01_enabled',
								'status': 'enable'
							}, 
							function(response){
								is_speedup_enabled = 1;
								jQuery('#wp-admin-bar-speedup-toggle-status a.ab-item').text("Disable Optimization (Current status: enabled)");
								
								var json = jQuery.parseJSON( response );
								if (json.hasOwnProperty('msg'))
								{
									alert(json['msg']);
								}
								if (json.hasOwnProperty('redirect'))
								{
									if (json['redirect'] != '') window.location.replace(json['redirect']);
								}
							}
						).fail(function() {
							alert('AJAX Error! Please contact support!');
						  });
		}
                  
	});

		

    $('.speedup-delete-cache').on('click', function(e) {
        e.preventDefault();
        
        var fileId = $(this).data('file-id');
        var nonce = $(this).data('nonce');
        var $row = $(this).closest('tr');
        
        // Show confirmation popup
        if (confirm('Are you sure you want to delete this cache file?')) {
            $.ajax({
                url: ajaxurl,
                type: 'POST',
                data: {
                    action: 'speedup01_delete_cache_file',
                    file_id: fileId,
                    nonce: nonce
                },
                success: function(response) {
                    if (response.success) {
                        // Remove the row from the table with a fade-out effect
                        $row.fadeOut(300, function() {
                            $(this).remove();
                            
                            // Update the total cached pages count
                            var currentCount = parseInt($('#total-cached-pages').text().match(/\d+/)[0]);
                            var newCount = currentCount - 1;
                            $('#total-cached-pages').text('Total cached pages: ' + newCount);
                            
                            // If no rows left, show "No data" message
                            if ($('#cached-pages-tbody tr').length === 0) {
                                $('#links').html('<p>No data</p>');
                            }
                        });
                        // Show success message
                        alert(response.data.msg);
                    } else {
                        alert('Error: ' + response.data.msg);
                    }
                },
                error: function() {
                    alert('An error occurred while deleting the file.');
                }
            });
        }
    });
});